global (6.6.12-1) unstable; urgency=medium

  * New upstream version 6.6.12
  * debian: Update Standards-Version to 4.6.2

 -- Punit Agrawal <punit@debian.org>  Sat, 30 Mar 2024 06:51:14 +0000

global (6.6.11-1) unstable; urgency=medium

  * New upstream version 6.6.11

 -- Punit Agrawal <punit@debian.org>  Sat, 10 Feb 2024 11:11:46 +0000

global (6.6.9-1) unstable; urgency=medium

  * New upstream version 6.6.9
  * debian: Standards-Version to 4.6.1
  * debian: Upgrade dependency package name
  * debian: Update lintian overrides

 -- Punit Agrawal <punit@debian.org>  Fri, 03 Feb 2023 17:21:03 +0000

global (6.6.8-1) unstable; urgency=medium

  * New upstream version 6.6.8
  * Drop patch to remove vendored sqlite3
  * Enable detection of distro sqlite3

 -- Punit Agrawal <punit@debian.org>  Sun, 22 May 2022 22:55:47 +0100

global (6.6.7-1) unstable; urgency=medium

  * New upstream version 6.6.7
  * debian: Update patches for new upstream release 6.6.7
  * Add python3-minimal as a build dependency

 -- Punit Agrawal <punit@debian.org>  Thu, 26 Aug 2021 21:46:06 +0900

global (6.6.5-1) unstable; urgency=medium

  * New upstream version 6.6.5
  * debian: Update patches for new upstream release 6.6.5
  * debian: Update upstream signing key

 -- Punit Agrawal <punit@debian.org>  Mon, 26 Oct 2020 23:09:11 +0900

global (6.6.4-4) unstable; urgency=medium

  [ Debian Janitor ]
  * debian: Trim trailing whitespace.
  * debian: Bump debhelper from old 10 to 12.
  * debian: Set debhelper-compat version in Build-Depends.

  [ Hong Xu ]
  * debian/rules: Enable universal ctags

 -- Punit Agrawal <punit@debian.org>  Sun, 26 Jul 2020 09:46:01 +0900

global (6.6.4-3) unstable; urgency=medium

  * debian/patches: Fix compilation issue with GCC 10

 -- Punit Agrawal <punit@debian.org>  Tue, 05 May 2020 11:04:01 +0900

global (6.6.4-2) unstable; urgency=medium

  * debian: Install config file in /etc/gtags

 -- Punit Agrawal <punit@debian.org>  Sun, 26 Apr 2020 08:16:16 +0900

global (6.6.4-1) unstable; urgency=medium

  * New upstream version 6.6.4
  * Update patches to new upstream version
  * Update Standards-Version to 4.5.0
  * Update global to use python3 (Closes: #945647)

 -- Punit Agrawal <punit@debian.org>  Sun, 16 Feb 2020 19:43:35 +0900

global (6.6.3-3) unstable; urgency=medium

  * Drop embedded sqlite3
  * Enable support for using sqlite3 as backend (Closes: #939590)
  * Update standards version to 4.4.1

 -- Punit Agrawal <punit@debian.org>  Sat, 05 Oct 2019 10:15:57 +0900

global (6.6.3-2) unstable; urgency=medium

  * Update standards version to 4.3.0

 -- Punit Agrawal <punit@debian.org>  Tue, 01 Jan 2019 13:16:22 +0900

global (6.6.3-1) unstable; urgency=medium

  * New upstream version 6.6.3
  * Drop changes to reconf.sh

 -- Punit Agrawal <punit@debian.org>  Thu, 27 Dec 2018 11:42:54 +0900

global (6.6.2-3) unstable; urgency=medium

  [ Daniel Gröber ]
  * Don't remove *.el files from site-lisp dir (Closes: #902877)

  [ Punit Agrawal ]
  * Update homepage link to use https
  * Update standards version to 4.1.4

 -- Punit Agrawal <punit@debian.org>  Tue, 03 Jul 2018 23:13:54 +0100

global (6.6.2-2) unstable; urgency=medium

  * Install globash.rc (Closes: #894424)
  * Drop webservers from suggested packages

 -- Punit Agrawal <punit@debian.org>  Sun, 08 Apr 2018 14:47:16 +0100

global (6.6.2-1) unstable; urgency=medium

  * New upstream version 6.6.2
  * Force update libltdl during autoreconf
  * Update standards version to 4.1.3

 -- Punit Agrawal <punit@debian.org>  Sun, 25 Feb 2018 07:36:23 +0000

global (6.6.1-1) unstable; urgency=medium

  * Enable verifying upstream packages
  * New upstream version 6.6.1 (Closes: #884912)
  * Fixes CVE-2017-17531
  * Install scripts missing for pygments-parser (Closes: #885424)

 -- Punit Agrawal <punit@debian.org>  Mon, 01 Jan 2018 16:37:11 +0000

global (6.5.7-4) unstable; urgency=medium

  * Update package standards version to 4.1.1
  * Update emacsen-startup (Closes: #306085)
  * Install global vim plugins

 -- Punit Agrawal <punit@debian.org>  Sun, 08 Oct 2017 07:59:38 +0100

global (6.5.7-3) unstable; urgency=medium

  * Correct distribution in changelog. No other functional change

 -- Punit Agrawal <punit@debian.org>  Tue, 26 Sep 2017 07:17:32 +0100

global (6.5.7-2) unstable; urgency=medium

  * Update debhelper compat version to 10
  * Update to standards version 4.0.0
  * gozilla: Make input error handling more robust (Closes: #715980)
  * Correct typos in libparser
  * Include additional configuration examples
  * Update package maintainer
  * Simplify the packaging scripts

 -- Punit Agrawal <punit@debian.org>  Sat, 23 Sep 2017 13:54:37 +0100

global (6.5.7-1) unstable; urgency=medium

  * New upstream version 6.5.7

 -- Punit Agrawal <punitagrawal@gmail.com>  Sat, 24 Jun 2017 18:30:25 +0100

global (6.5.6-3) experimental; urgency=medium

  * Don't load init and site file while installing gtags.el. Closes: #218111
  * Drop the usage of PATH_MAX from libutil/find.c to enable building on Hurd.
    Closes: #848302

 -- Punit Agrawal <punitagrawal@gmail.com>  Sun, 12 Feb 2017 23:36:54 +0000

global (6.5.6-2) unstable; urgency=medium

  * Include gtags.conf manpage in the package
  * Fix lintian warning with gtags manpage
  * Drop static plugin libraries from the package

 -- Punit Agrawal <punitagrawal@gmail.com>  Sat, 07 Jan 2017 14:22:40 +0000

global (6.5.6-1) unstable; urgency=medium

  * New upstream version 6.5.6
  * Drop patches merged upstream

 -- Punit Agrawal <punitagrawal@gmail.com>  Thu, 05 Jan 2017 22:44:38 +0000

global (6.5.5-2) unstable; urgency=medium

  * Apply hardening flags

 -- Wookey <wookey@debian.org>  Sun, 25 Dec 2016 17:32:37 +0000

global (6.5.5-1) unstable; urgency=medium

  [ Punit Agrawal ]
  * Refresh patches to git format
  * Drop htmake and htconfig
  * Package htags-server man page
  * Update postrm script to drop gsearch reference
  * Update lintian overrides
  * Package missing icons, javascript and images. Closes: #587489
  * Update package repository location
  * Un-orphan the package - Wookey has agreed to be the maintainer
  * Enable autoreconf - this allows the package to pick system
    libraries instead of using shipped versions.
  * Install upstream NEWS file
  * Update README.debian documentation
  * Add a NEWS file about upgrade to 6.5.5

  [ Wookey ]
  * Provide configure with ctags path
  * Fix README.debian typo

 -- Wookey <wookey@debian.org>  Tue, 13 Dec 2016 12:09:00 +0000

global (6.5.5-0.1) experimental; urgency=medium

  [ Punit Agrawal ]
  * Non-maintainer upload.
  * Switch to dpkg-source 3.0 (quilt) format
    Split diff into individual patches by functionality.
  * Add watch file
  * Migrate local changes to latest upstream version - 6.2.11
    Drop globash patch as it seems to be integrated with upstream
    Drop alternate compressed suffix functionality for htags
  * Update debian/rules in line with 6.2.11
  * Update debian/global.manpages for 6.2.11
  * Fix an error encountered while installing gtags.el
  * Add debian/emacsen-compat
  * Fix lintian warning debian-rules-ignores-make-clean
  * Fix lintian warning debian-rules-missing-recommended-target
  * Replace deprecated dh_clean -k with dh_prep in debian/rules

  [ Javi Merino ]
  * Build-depend on libncurses5-dev, as global requires curses

  [ Punit Agrawal ]
  * Fix lintian warning script-not-executable
  * New upstream release - 6.2.12
  * Add links to global and the package repository
  * Update debian/copyright
  * Fix cscope manpage error

  [ Volker Mische ]
  * Install plugins from plugin-factory
  * Update to upstream release - 6.3.2

  [ Wookey ]
  * Non-maintainer upload.
  * Update to upstream release - 6.5.5
  * Add missing emacsen-common build-dep
  * Remove obsolete dpkg|install-info dependency
  * Bump standards to 3.9.6
  * Use system libltdl instead of embedded one
  * Ensure cgi scripts are regenerated to set perl path correctly
  * Recommend python for pygments support

 -- Wookey <wookey@debian.org>  Wed, 23 Nov 2016 17:51:44 +0000

global (5.7.1-4) unstable; urgency=medium

  * Orphan this package.  Being caught between an uncooperative upstream
    and ungrateful, abusive users, for a niche package with better modern
    alternatives just isn't my brand of fun.

 -- Ron Lee <ron@debian.org>  Sat, 10 Dec 2016 01:36:53 +1030

global (5.7.1-3) unstable; urgency=medium

  * Update for the new hoops that emacs needs us to jump through to ship
    the gtags.el file.  Thanks to Wookey for investigating that and
    providing pointers to what needed to change and why.  Closes: #844330
  * Typo fix in globash.1, thanks to Reuben Thomas for proof reading.
    Closes: #661550

 -- Ron Lee <ron@debian.org>  Wed, 16 Nov 2016 03:12:22 +1030

global (5.7.1-2) unstable; urgency=low

  * Fall back to localhost if `hostname --fqdn` fails.
    This shouldn't usually happen, but may in some corner cases,
    and the postinst shouldn't abort if it does.  Closes: #541322
  * Extra deps for the Lenny info trigger transition.

 -- Ron Lee <ron@debian.org>  Sun, 17 Oct 2010 11:42:50 +1030

global (5.7.1-1) unstable; urgency=low

  * New upstream release.  Closes: #491713
  * Install the new template files needed for dynamic page generation.
    Closes: #466673
  * Tidy punctuation in the description.  Closes: #444834

 -- Ron Lee <ron@debian.org>  Thu, 24 Jul 2008 20:19:41 +0930

global (5.6.1-1) unstable; urgency=low

  * New upstream release.  Closes: #378514, #387592, #430604
  * Add the prefix GNU in the package description.  It was actually BSD global
    when that description was first written, but if it makes it just a little
    less ambiguous to search for, then why not.  Closes: #385303

 -- Ron Lee <ron@debian.org>  Fri, 21 Sep 2007 08:58:45 +0930

global (4.8.6-2) unstable; urgency=low

  * Don't touch config.status unconditionally, some of the buildd's
    seem to choke on that.

 -- Ron Lee <ron@debian.org>  Sat,  6 Aug 2005 05:38:39 +0930

global (4.8.6-1) unstable; urgency=low

  * New upstream release.  Closes: #262250, #318848
  * Update to policy 2.6.2.1 and DH_COMPAT 4.
  * global.info is now monolithic, drop the * again.
  * gctags is dead, replaced by gtags-parser, and htags has been
    reimplemented in C.  Performance gains are alleged.
    Tentatively Closes: #159901, get back to me if pain persists.
  * Suggest doxygen (>=1.4.3) as it can now use global as its
    source browser.
  * Include vim plugin and other goodies with examples.
  * Don't build 'gnusort', use the system one.
  * Add zero space breaks '\:' to long lines in the man pages.
  * Fixes problem with --style-sheet option.  The original
    reporter's example will not actually work as he might have
    anticipated, but this clearly still Closes: #182187
    which I could reproduce in 4.5-1.
  * Install globash.rc in /etc with a couple of minor tweaks,
    and a wrapper to call it in /usr/bin, with simple man page.
    Noted in info docs.

 -- Ron Lee <ron@debian.org>  Thu,  4 Aug 2005 18:08:14 +0930

global (4.5-1.1) unstable; urgency=high

  * NMU
  * Bump debhelper build-dep to >=3, change DH_COMPAT to 3, change
    debian/global.info to 'doc/global.info*', and build-dep on texinfo.
    really closes: #136357.

 -- Clint Adams <schizo@debian.org>  Sat, 26 Oct 2002 14:19:35 -0400

global (4.5-1) unstable; urgency=low

  * New upstream release.
  * Closes: #136357  (Fixed upstream and/or unreproducable)

 -- Ron Lee <ron@debian.org>  Mon, 15 Jul 2002 19:23:11 -0700

global (4.4-1) unstable; urgency=high

  * Security fix for html form exploit.

 -- Ron Lee <ron@debian.org>  Sat, 30 Mar 2002 21:55:27 -0800

global (4.1.1-1) unstable; urgency=low

  * New upstream release.
  * Lots of bugfixes (possibly not all of these, but I'm sure
    Yann will reopen them if any still do exist :)
    Closes: #51837, #58210, #58238, #77198, #78509, #58233
    Closes: #58234, #58307, #76629, #77207, #77892, #78515
  * Fix info heading. Closes: #76988
  * Fixed emacsen support files install.  Closes: #90429

 -- Ron Lee <ron@debian.org>  Thu, 11 Oct 2001 07:28:10 -0700

global (4.0.1-2) unstable; urgency=medium

  * actually install gtags.el in the correct place this time,
    and fixed *lots* of bugs inherited from the examples in
    debian-emacs-policy which I stupidly trusted to be basically
    sound - Closes: #74036

 -- Ron Lee <ron@debian.org>  Thu,  5 Oct 2000 22:18:52 +0930

global (4.0.1-1) unstable; urgency=low

  * New upstream version.
  * change of licence, GLOBAL 4.x is now GPL :-)
  * repackaged with dh_*, updated for current policy.
  * install gtags.el in line with debian-emacs-policy - Closes: #56122

 -- Ron Lee <ron@debian.org>  Fri, 29 Sep 2000 03:17:41 +0930

global (3.55-1) unstable; urgency=medium

  * New upstream version.
  * fixes bug in htags which could inadvertantly remove user files
      if an error occurs.

 -- Ron C. Lee <ron@microtronics.com.au>  Thu, 23 Dec 1999 23:27:55 +1030

global (3.54-1) unstable; urgency=low

  * New upstream version.
  * Many new features/fixes, including C++ support.
  * Updated for standards version 3 and FHS compliance.

 -- Ron C. Lee <ron@microtronics.com.au>  Sat, 13 Nov 1999 08:18:22 +1030

global (3.44-2) unstable; urgency=low

  * /usr/lib/cgi-bin is now included in the package,
      postinst no longer fails if httpd is not installed. Closes #38386
  * postrm split so that files in /usr/lib/cgi-bin are now removed
      in prerm allowing dir to be correctly removed if empty.
  * applied patch to enable build for powerpc arch,
      Thumbs up to Konstantinos Margaritis..  Closes #37848

 -- Ron C. Lee <ron@microtronics.com.au>  Sun, 18 Apr 1999 15:09:44 +0930

global (3.44-1) unstable; urgency=low

  * Initial release.  My first package too!
  * there's beer in that somewhere ;-)
  * htmake released for use with the debian package.
      - this is not incorporated upstream yet.

 -- Ron C. Lee <ron@microtronics.com.au>  Sat,  3 Apr 1999 22:47:43 +0930

global (3.44-0.8) unstable; urgency=low

  * new upstrem release.
  * libdb1.85 is now statically linked - ./lib is gone so is ./dbpatches
  	in it's place we have ./libdb and ./libutil
  * upstream change - gtags --config now searches /etc/gtags/global.conf
  	too.  Thanks Shigio ;-)
  * bugfix ACTION=hidden, superfluous lines removed from htags.pl
  * upstream bugfix in global.cgi regex.
  * htmake is now in beta test.
  * postinst and postrm scripts added

 -- Ron C. Lee <ron@microtronics.com.au>  Sun, 21 Mar 1999 05:12:30 +1030

global (3.43-0.9.2) unstable; urgency=low

  * Initial package.
  * Upstream Makefile.generic patched to debianise
  	( to be incorporated by upstream author )
  * Bugfix - include libdb in gozilla/Imakefile for generic build
  * systags manpage contributed by Sergio Talens-Oliag <sto@iti.upv.es>
  	( systags/Makefile.generic patched to include it )
  * htags patched to include -C option to create html.gz files in place
    of .ghtml ( as made with -c ) --  Debian handles these much cleaner.
    systags.sh and manual pages also updated to handle -C option.
  * patched gozilla - it now works with html.gz and .ghtml files too.
  * htags tidied to clean perl warnings and undefs in global.cgi

 -- Ron C. Lee <ron@microtronics.com.au>  Sat, 13 Feb 1999 03:18:28 +1030

Local variables:
mode: debian-changelog
End:
